/shorttermforecastdeclines#
Long term well declines at a monthly rate.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/shorttermforecastdeclines |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/shorttermforecastdeclines" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
short_term_forecast_declines_resp = hyperion_api_client.short_term_forecast_declines()
short_term_forecast_declines_df = short_term_forecast_declines_resp.df()
short_term_forecast_declines_df.head()
# Example of a Windows PowerShell request to the short_term_forecast_declines endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"state_code`":[`"tx`"],`"region_natgas`":[`"gulf`"],`"sub_region_natgas`":[`"Haynesville - TX`"],`"date_prod_min`":`"2025-01-01`",`"date_prod_max`":`"2025-01-31`"}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/shorttermforecastdeclines' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
aggregation_type |
string |
The type of aggregation applied to data |
sum |
county |
string array |
The county the well is in |
CAMPBELL |
date_prod_max |
— |
The date range maximum of production in YYYY-MM-DD format |
— |
date_prod_min |
— |
The date range minimum of production in YYYY-MM-DD format |
— |
first_production_month_max |
string |
A date in YYYY-MM-DD format |
2021-11-24 |
first_production_month_min |
string |
A date in YYYY-MM-DD format |
2021-11-24 |
modeled |
boolean |
Indicates whether the production values come from the forecast model (true) or state-reported data (false) |
— |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
production_month |
integer array |
An array of integers |
— |
production_month_max |
integer |
The maximum number of months this well has been producing |
— |
production_month_min |
integer |
The minimum number of months this well has been producing |
— |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
state_code |
string array |
An array of state abbreviations |
WY |
state_reported |
boolean |
Whether the state published any production numbers for this well |
— |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string array |
Subregion divisions based on natural gas production profiles |
14081712000 |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
count |
integer |
The number of wells observed |
— |
county |
string |
The county the well is in |
CAMPBELL |
date_forecast_run |
— |
The date the short term forecast was simulated on in YYYY-MM-DD format |
— |
date_prod |
— |
The date of production in YYYY-MM-DD format |
— |
first_production_month |
string |
A date in YYYY-MM-DD format |
2021-11-24 |
modeled |
boolean |
Indicates whether the production values come from the forecast model (true) or state-reported data (false) |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
prod_oil_bbl_day |
number |
Daily oil production in barrels |
— |
prod_oil_bbl_month |
number |
Monthly oil production in barrels |
— |
prod_wet_gas_mcf_day |
number |
Daily wet gas production in million cubic feet |
— |
prod_wet_gas_mcf_month |
number |
Monthly wet gas production in million cubic feet |
— |
production_month |
integer |
The number of months this well has been producing |
— |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
state_code |
string |
A state abbreviation |
WY |
state_reported |
boolean |
Has the state published any production numbers for this well |
— |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string |
A well identifier |
14081712000 |
Aggregation#
Supported parameters: county, date_prod, first_production_month, modeled, operator, production_month, region_natgas, state_code, state_reported, sub_region_natgas
Normal Output#
county |
date_forecast_run |
date_prod |
first_production_month |
modeled |
operator |
prod_oil_bbl_day |
prod_oil_bbl_month |
prod_wet_gas_mcf_day |
prod_wet_gas_mcf_month |
production_month |
region_natgas |
state_code |
state_reported |
sub_region_natgas |
well_id |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
TERRY |
2025-06-02 |
2024-12-01 |
1993-02-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.7781610796528478 |
86.12299346923828 |
3.8960558983587448 |
120.7777328491211 |
383 |
gulf |
tx |
True |
West - TX |
4244532081 |
TERRY |
2025-06-02 |
2024-01-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.726834204889113 |
84.5318603515625 |
3.0817558534683718 |
95.53443145751953 |
371 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-02-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.6715108937230605 |
77.47381591796875 |
2.980961503653691 |
86.44788360595703 |
372 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-03-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.678897488501764 |
83.04582214355469 |
2.737980504189768 |
84.87739562988281 |
373 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-04-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.7593312581380207 |
82.77993774414062 |
2.893073018391927 |
86.79219055175781 |
374 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-05-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.6404290968371975 |
81.85330200195312 |
2.7991839993384575 |
86.77470397949219 |
375 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-06-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.7236488342285154 |
81.70946502685547 |
2.675402069091797 |
80.2620620727539 |
376 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-07-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.8126725227602067 |
87.1928482055664 |
3.4007122901178177 |
105.42208099365234 |
377 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-08-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.6464139876827115 |
82.03883361816406 |
3.2045790149319555 |
99.34194946289062 |
378 |
gulf |
tx |
True |
West - TX |
4244532082 |
TERRY |
2025-06-02 |
2024-09-01 |
1993-03-01 |
False |
HIGHMARK ENERGY OPERATING LLC |
2.796766916910807 |
83.90300750732422 |
3.245929972330729 |
97.37789916992188 |
379 |
gulf |
tx |
True |
West - TX |
4244532082 |